Update Network Config
Gateway
Update Network Config
Update configuration for a specific network.
Args:
network_id: Network ID in format 'chain-network' (e.g., 'solana-mainnet-beta')
config_updates: Dict with path-value pairs to update.
Keys can be in snake_case (e.g., {"node_url": "https://..."})
or camelCase (e.g., {"nodeURL": "https://..."})
Example: POST /gateway/networks/solana-mainnet-beta
POST
Update Network Config
Documentation Index
Fetch the complete documentation index at: https://condor.hummingbot.org/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Body
application/json
The body is of type Config Updates · object.
Response
Successful Response
The response is of type Response Update Network Config Gateway Networks Network Id Post · object.

